CppCMS

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
cppcms::urandom_device Class Reference

High entropy random number generator. More...

`#include <cppcms/urandom.h>`

Inheritance diagram for cppcms::urandom_device:

## Public Member Functions
| urandom_device ()
| ~urandom_device ()
void | generate (void *ptr, unsigned n)

## Detailed Description

High entropy random number generator.

This is cryptographic random number generator that uses /dev/urandom on POSIX platforms and CryptoAPI's CryptGenRandom function under MS Windows

## Constructor & Destructor Documentation

cppcms::urandom_device::urandom_device | ( |  | ) |

Create a new random number generator

cppcms::urandom_device::~urandom_device | ( |  | ) |

Destory it

## Member Function Documentation

void cppcms::urandom_device::generate | ( | void * | ptr,
|  | unsigned | n
| ) |  |

Fill a buffer pointer by ptr of n bytes with random numbers

The documentation for this class was generated from the following file:

- cppcms/urandom.h